## START: Set by rpmautospec
## (rpmautospec version 0.3.8)
## RPMAUTOSPEC: autorelease
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global apiver  1
%global gtk_version 4.11.3

%global tarball_version %%(echo %{version} | tr '~' '.')

Name:           libadwaita
Version:        1.4.2
Release:        %autorelease
Summary:        Building blocks for modern GNOME applications

# part of src/adw-spring-animation.c is MIT
License:        LGPL-2.1-or-later AND MIT
URL:            https://gitlab.gnome.org/GNOME/libadwaita
Source0:        https://download.gnome.org/sources/%{name}/1.4/%{name}-%{tarball_version}.tar.xz

BuildRequires:  desktop-file-utils
BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  gi-docgen
BuildRequires:  libappstream-glib
BuildRequires:  meson >= 0.59.0
BuildRequires:  vala
BuildRequires:  pkgconfig(appstream)
BuildRequires:  pkgconfig(fribidi)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk4) >= %{gtk_version}

Requires:       gtk4%{?_isa} >= %{gtk_version}

%description
Building blocks for modern GNOME applications.


%package        devel
Summary:        Development files for %{name}

Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       vala
Recommends:     %{name}-demo = %{version}-%{release}
Recommends:     %{name}-doc = %{version}-%{release}

%description    devel
Development files for %{name}.


%package        doc
Summary:        Documentation files for %{name}
BuildArch:      noarch

Recommends:     %{name}-devel = %{version}-%{release}
# Because web fonts from upstream are not bundled in the gi-docgen package,
# packages containing documentation generated with gi-docgen should depend on
# this metapackage to ensure the proper system fonts are present.
Recommends:     gi-docgen-fonts

%description    doc
Documentation files for %{name}.


%package        demo
Summary:        Demo files for %{name}
BuildArch:      noarch

Requires:       %{name} = %{version}-%{release}
Suggests:       %{name}-devel = %{version}-%{release}

%description    demo
Demo files for %{name}.


%prep
%autosetup -p1 -n %{name}-%{tarball_version}


%build
%meson \
    -Dgtk_doc=true \
    %{nil}
%meson_build


%install
%meson_install
%find_lang %{name}


%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop


%files -f %{name}.lang
%license COPYING
%doc README.md AUTHORS NEWS
%{_bindir}/adwaita-%{apiver}-demo
%{_libdir}/*-%{apiver}.so.0*
%{_libdir}/girepository-1.0/*.typelib

%files devel
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/*-%{apiver}.gir
%{_datadir}/vala/vapi/%{name}-%{apiver}.*
%{_includedir}/%{name}-%{apiver}/
%{_libdir}/*-%{apiver}.so
%{_libdir}/pkgconfig/*-%{apiver}.pc

%files doc
%doc HACKING.md
%{_docdir}/%{name}-%{apiver}/

%files demo
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/*.svg
%{_metainfodir}/*.metainfo.xml


%changelog
* Sat Dec 02 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 1.4.2-1
- Update to 1.4.2 (rhbz#2252500)

* Fri Dec 01 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 1.4.1-1
- Update to 1.4.1 (rhbz#2252428)

* Tue Nov 14 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 1.4.0-7
- Rebuild against appstream-1.0

* Tue Nov 07 2023 Florian Müllner <fmuellner@gnome.org> - 1.4.0-6
- Drop sassc dependency

* Tue Nov 07 2023 Kalev Lember <klember@redhat.com> - 1.4.0-5
- Fix the build with appstream 1.0

* Mon Oct 09 2023 Michael Catanzaro <mcatanzaro@redhat.com> - 1.4.0-4
- Restore URL

* Mon Oct 09 2023 Michael Catanzaro <mcatanzaro@redhat.com> - 1.4.0-3
- Fix SPDX license list

* Sun Oct 08 2023 Miroslav Suchý <msuchy@redhat.com> - 1.4.0-2
- Migrate to SPDX license

* Fri Sep 15 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 1.4.0-1
- Update to 1.4.0 (rhbz#2239181)

* Sun Sep 03 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 1.4~rc-1
- Update to 1.4.rc (rh#2237061)

* Fri Aug 04 2023 Kalev Lember <klember@redhat.com> - 1.4~beta-1
- Update to 1.4.beta

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.4~alpha-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jul 01 2023 Kalev Lember <klember@redhat.com> - 1.4~alpha-1
- Update to 1.4.alpha (rhbz#2219015)

* Fri Jun 09 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 1.3.3-1
- Update to 1.3.3 (rhbz#2213865)

* Tue May 09 2023 Niels De Graef <nielsdegraef@gmail.com> - 1.3.2-2
- libadwaita uses gettext instead of intltool

* Sat Apr 22 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 1.3.2-1
- Update to 1.3.2

* Fri Mar 17 2023 David King <amigadave@amigadave.com> - 1.3.1-1
- Update to 1.3.1

* Sun Mar 05 2023 David King <amigadave@amigadave.com> - 1.3~rc-1
- Update to 1.3.rc

* Wed Feb 15 2023 David King <amigadave@amigadave.com> - 1.3~beta-1
- Update to 1.3.beta

* Mon Feb 06 2023 David King <amigadave@amigadave.com> - 1.3~alpha-1
- Update to 1.3.alpha

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Dec 14 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 1.2.0-2
- Ensure correct fonts are installed for HTML docs

* Thu Sep 15 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 1.2.0-1
- Update to 1.2.0

* Fri Sep 02 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 1.2~rc-1
- Update to 1.2.rc

* Fri Aug 05 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 1.2~beta-1
- Update to 1.2.beta

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.2~alpha-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jul 15 2022 Kalev Lember <klember@redhat.com> - 1.2~alpha-1
- Update to 1.2.alpha

* Wed Jun 01 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 1.1.2-1
- chore(update): 1.1.2

* Fri Apr 22 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 1.1.1-1
- chore(update): 1.1.1

* Fri Mar 18 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 1.1.0-1
- chore(update): 1.1.0

* Mon Mar 07 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 1.1~rc-1
- chore(update): 1.1.rc

* Mon Feb 14 2022 David King <amigadave@amigadave.com> - 1.1~beta-1
- Update to 1.1.beta (#2053942)

* Sat Feb 12 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 1.0.2-1
- chore(update): 1.0.2

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Jan 02 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 1.0.1-1
- chore(update): 1.0.1

* Sat Jan 01 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 1.0.0-1
- chore(update): 1.0.0-1

* Tue Dec 07 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 1.0.0-0.7.beta.1
- chore(update): 1.0.0-0.7.beta.1

* Tue Nov 02 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 1.0.0-0.6.alpha.4
- chore(update): 1.0.0-0.6.alpha.4
- build: Add Demo subpackage

* Fri Oct 01 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 1.0.0-0.5.alpha.3
- chore(update): 1.0.0-0.5.alpha.3

* Mon Aug 30 2021 Lyes Saadi <fedora@lyes.eu> - 1.0.0-0.4.alpha.2
- Updating to alpha.2

* Thu Jun 24 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 1.0.0-0.3.alpha.1
- Initial package

